jvx.numeric

## Class PnBiconjugateGradient

- java.lang.Object
- - jvx.numeric.PnConjugateGradientMatrix
  - - jvx.numeric.PnBiconjugateGradient

-     public class PnBiconjugateGradient
      extends PnConjugateGradientMatrix

  Solve sparse linear equation systems using preconditioned biconjugate gradient method.
  Author:
    Klaus Hildebrandt.
  Version:
    20.06.06, 2.01 revised (kp) Deprecated method linbcg() removed.
    02.12.05, 2.00 revised (jh) Now extends PnConjugateGradientMatrix.
    11.03.03, 1.00 created (kh)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnBiconjugateGradient()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getUseStabilized()` Returns whether the stabilized biconjugate gradient method is used or not.
    `double` | `linbcg(PnSparseMatrix smat, PdVector x, PdVector b)` Deprecated. since JavaView 3.96.023, use method #solve() with same signature instead.
    `void` | `setUseStabilized(boolean stab)` If set true to use the stabilized biconjugate gradient method.
    `double` | `solve(PnSparseMatrix smat, PdVector x, PdVector b)` Method solves a sparse linear equation system A*x=b.

    - ### Methods inherited from class jvx.numeric.PnConjugateGradientMatrix

      `converged, getActualEstimatedError, getActualNumOfTakenIterations, getConvergenceTest, getDimension, getMaxNumIterations, getPreconditioner, getTolerance, setConvergenceTest, setDimension, setMaxNumIterations, setPreconditioner, setTolerance, updatePreconditioner`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PnBiconjugateGradient

          public PnBiconjugateGradient()

      Constructor.

  - ### Method Detail

    - #### setUseStabilized

          public void setUseStabilized(boolean stab)

      If set true to use the stabilized biconjugate gradient method.
      Parameters:
        `stab` -

    - #### getUseStabilized

          public boolean getUseStabilized()

      Returns whether the stabilized biconjugate gradient method is used or not.

    - #### solve

          public double solve(PnSparseMatrix smat,
                              PdVector x,
                              PdVector b)

      Method solves a sparse linear equation system A*x=b. Set the preconditioner to use with @see setPreconditioner( PnPreconditioner prec ) By default the stabilized biconjugate gradient method is used, you can force the regular biconjugate gradient method with setUseStabilized(false). The matrix has to be square.
      Overrides:
        `solve` in class `PnConjugateGradientMatrix`
      Returns:
        estimated error of solution or -1 at error.

    - #### linbcg

          public double linbcg(PnSparseMatrix smat,
                               PdVector x,
                               PdVector b)

      Deprecated. since JavaView 3.96.023, use method #solve() with same signature instead.
      Method solves a sparse linear equation system A*x=b using a preconditioned biconjugate gradient method.
      Returns:
        estimated error of solution or -1 at error.

"

The software JavaView? is copyright protected. All Rights Reserved.
"